Skip to main content
GET
/
v2
/
chargeboxes
/
{id}
Fetches a single charge box.
curl --request GET \
  --url https://api.spirii.com/v2/chargeboxes/{id} \
  --header 'Authorization: <api-key>'
{
  "id": 123456,
  "chargeBoxIdentity": "DK.SPI.000001",
  "serialNumber": "SN-000001",
  "isOnline": true,
  "locationId": 123,
  "updatedAt": "2025-01-27 09:38:41",
  "createdAt": "2025-01-27 09:38:41",
  "evses": [
    {
      "uid": 123456,
      "evseId": "DK.12343*1",
      "chargeboxId": 123,
      "status": "CHARGING",
      "connectors": [
        {
          "id": 1,
          "standard": "CHADEMO",
          "format": "SOCKET",
          "powerType": "DC",
          "maxElectricPower": 22,
          "maxAmperage": 32,
          "maxVoltage": 400,
          "tariffIds": [
            "58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
          ],
          "error": {
            "errorCode": "UnderVoltage",
            "info": "NO_VOLTAGE_L2_L3",
            "vendorErrorCode": "134217728"
          },
          "deletedAt": "2025-01-27 09:38:41"
        }
      ]
    }
  ],
  "model": {
    "id": 123456,
    "vendor": "Zaptec",
    "name": "HYC_300",
    "plugAndChargeValidated": true,
    "firmwareManagementValidated": true,
    "updatedAt": "2025-01-27 09:38:41",
    "createdAt": "2025-01-27 09:38:41",
    "description": "Latest and greatest from Zaptec"
  },
  "firmwareVersion": "FM-000001",
  "customer": {
    "id": 123456
  },
  "lastConnectionEventAt": "2025-01-27 09:38:41",
  "deletedAt": "2025-01-27 09:38:41"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Path Parameters

id
number
required

ID that uniquely identifies the charge box

Example:

123456

Response

id
number
required

ID that uniquely identifies the charge box.

Example:

123456

chargeBoxIdentity
string
required

ChargeBoxIdentity is the unique identifier of a charge box.

Example:

"DK.SPI.000001"

serialNumber
string
required

This contains a value that identifies the serial number of the charge box.

Example:

"SN-000001"

isOnline
boolean
required

Indicates whether the charge box is currently online.

Example:

true

locationId
number
required

ID that uniquely identifies the location

Example:

123

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2025-01-27 09:38:41"

createdAt
string<date-time>
required

Created at timestamp

Example:

"2025-01-27 09:38:41"

evses
object[]
required

List of EVSEs belonging to the charge box

model
object
required

Contains an object identifying the model of the charge box.

firmwareVersion
string

This contains the firmware version of the charge box

Example:

"FM-000001"

customer
object

Information about the customer that 'owns' the location. This represents the current terminology for identifying the customer associated with the location in the Spirii Connect portal.

lastConnectionEventAt
string<date-time>

Last connection timestamp.

Example:

"2025-01-27 09:38:41"

deletedAt
string<date-time>

Deleted at timestamp

Example:

"2025-01-27 09:38:41"